Bug 1316711 - docker-1.10.2-11.gitddbb15a.fc24 tries to use invalid %triggerpost
docker-1.10.2-11.gitddbb15a.fc24 tries to use invalid %triggerpost
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: docker (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Antonio Murdaca
Fedora Extras Quality Assurance
: Reopened
: 1332302 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-10 16:18 EST by Nalin Dahyabhai
Modified: 2016-09-10 23:51 EDT (History)
12 users (show)

See Also:
Fixed In Version: docker-1.10.3-16.gitf476348.fc24 docker-1.10.3-43.gita612434.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-10 23:51:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nalin Dahyabhai 2016-03-10 16:18:56 EST
Description of problem:
docker-1.10.2-11.gitddbb15a.fc24 uses %triggerpost to try to add a trigger to the docker-v1.10-migrator package, but that isn't recognized by RPM, so it instead becomes a piece of the docker-selinux %postun script.  My guess is that it meant to use %triggerun instead.

Version-Release number of selected component (if applicable):
docker-1.10.2-11.gitddbb15a.fc24.x86_64

How reproducible:
Always

Steps to Reproduce:
1. rpm -q --scripts docker-selinux
2. rpm -q --triggers docker-v1.10-migrator
Comment 1 Daniel Walsh 2016-06-03 09:21:28 EDT
Antonio could you verify that this is fixed?
Comment 2 Daniel Walsh 2016-06-03 17:00:25 EDT
*** Bug 1332302 has been marked as a duplicate of this bug. ***
Comment 3 Antonio Murdaca 2016-06-03 17:18:13 EDT
it is not - I'm taking care of it with Lokesh
Comment 4 Fedora Update System 2016-06-06 10:46:20 EDT
docker-1.10.3-16.gitf476348.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-158d16524d
Comment 5 Fedora Update System 2016-06-06 13:57:02 EDT
docker-1.10.3-16.gitf476348.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-158d16524d
Comment 6 Fedora Update System 2016-06-10 03:41:53 EDT
docker-1.10.3-31.gitee81b72.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a3d93f7570
Comment 7 Fedora Update System 2016-06-10 23:54:25 EDT
docker-1.10.3-31.gitee81b72.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a3d93f7570
Comment 8 Fedora Update System 2016-06-18 14:40:57 EDT
docker-1.10.3-16.gitf476348.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2016-06-20 17:49:21 EDT
docker-1.10.3-33.gitee81b72.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e849d66f7d
Comment 10 Fedora Update System 2016-06-21 22:54:54 EDT
docker-1.10.3-33.gitee81b72.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e849d66f7d
Comment 11 Fedora Update System 2016-06-24 14:10:37 EDT
docker-1.10.3-34.git19b5791.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7245efa28a
Comment 12 Fedora Update System 2016-06-26 02:21:47 EDT
docker-1.10.3-34.git19b5791.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7245efa28a
Comment 13 Fedora Update System 2016-07-01 15:58:55 EDT
docker-1.10.3-35.git3b3d748.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f221b26d2f
Comment 14 Fedora Update System 2016-07-02 16:53:41 EDT
docker-1.10.3-35.git3b3d748.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f221b26d2f
Comment 15 Fedora Update System 2016-07-06 10:52:24 EDT
docker-1.10.3-36.git971d3bf.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-73d248fd52
Comment 16 Fedora Update System 2016-07-09 23:54:19 EDT
docker-1.10.3-36.git971d3bf.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-73d248fd52
Comment 17 Fedora Update System 2016-07-12 16:16:35 EDT
docker-1.10.3-37.git29066b4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-47fac047d3
Comment 18 Fedora Update System 2016-07-13 21:23:57 EDT
docker-1.10.3-37.git29066b4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-47fac047d3
Comment 19 Fedora Update System 2016-07-20 17:31:57 EDT
docker-1.10.3-38.gitcba0656.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7bf2cb1e9b
Comment 20 Fedora Update System 2016-07-21 11:25:44 EDT
docker-1.10.3-39.git1ecb834.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0218df61cf
Comment 21 Fedora Update System 2016-07-21 14:47:51 EDT
docker-1.10.3-39.git1ecb834.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0218df61cf
Comment 22 Fedora Update System 2016-08-22 11:09:30 EDT
docker-1.10.3-40.git128f146.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6a080364c5
Comment 23 Fedora Update System 2016-08-23 12:20:24 EDT
docker-1.10.3-40.git128f146.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6a080364c5
Comment 24 Fedora Update System 2016-08-24 06:58:24 EDT
docker-1.10.3-41.git78aa320.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f2d2e7b09c
Comment 25 Fedora Update System 2016-08-25 06:28:25 EDT
docker-1.10.3-41.git78aa320.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f2d2e7b09c
Comment 26 Fedora Update System 2016-08-29 05:26:10 EDT
docker-1.10.3-42.gitc7e7694.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9ae3ca3f0a
Comment 27 Fedora Update System 2016-08-29 18:52:40 EDT
docker-1.10.3-42.gitc7e7694.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9ae3ca3f0a
Comment 28 Fedora Update System 2016-09-02 05:00:20 EDT
docker-1.10.3-43.gita612434.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8686e64e55
Comment 29 Fedora Update System 2016-09-02 23:52:35 EDT
docker-1.10.3-43.gita612434.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8686e64e55
Comment 30 Fedora Update System 2016-09-10 23:51:00 EDT
docker-1.10.3-43.gita612434.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.